﻿//      www.kendziorra.nl
// (Philips) AirFryer project v2
// nov 2019, free to edit and use
/////////////////////////////////
//          CAUTION            //
//  Use this AirFryer project  //
//    only at you own risk!    //
//    I will not accept any    //
//          liability!         //
/////////////////////////////////
// use a ESP32 DEV-KIT module  //
/////////////////////////////////
    //==============================================================================//
    // START-UP PROBLEMS? upload with CPU frequency: "80MHz(WiFi/BT)"               //
    //                                -------------------------------               //
    // and power supply 5V/DC minimum 1A (direct wired to relay JD-VCC and red-LED) //
    //                        ----------                                            //
    //==============================================================================//

#ifndef _AIRFRYER_EDIT_ME_H_
  #define _AIRFRYER_EDIT_ME_H_
  
  const uint8_t sAdcPin[2] = {32, 33},    //  ADC1_CHANNEL_4: 32, ADC1_CHANNEL_5: 33  
                relayPins[2] = {25, 26},  // heat, fan
                touchPins[2] = {14, 27};  // RED, GREEN 
  const char myID[] = "fryer",        // Hostname OTA
             wsURI[] = "/",           // WebSocket URI,       also in HTML
             wsProtocol[] = "FrYeR";  // WebSocket Protocol,  also in HTML
  const uint16_t wsPort = 81;         // Websocket Port,      also in HTML
  const bool fahrenheit = false;  // temp values in? false: Celsius, true: fahrenheit
   
  const double sR[2][3] = {{ 9586.0,  2982.0, 1149.0},   // Fryer 104CT RESISTANS: low, medium, high in Ohm
                           {81910.0, 24330.0, 8900.0}},  // Probe 204CT    ...
               sT[2][3] = {{  100.0,   150.0,  200.0},   // Fryer 104CT TEMPERATURE: low, medium, high in *C
                           {   50.0,    90.0,  130.0}},  // Probe 204CT    ...
               ser[2] =    {19850.0, 19940.0};           // Fryer, Probe: series 20K resistor (measure the resistance with a multimeter)
#endif
