var inBuf;
var values;

/********** load saved recipes **********/
for (i = 0; i < recipes.length; i++) {
  var r = recipes[i].split(',');
  $('#recipes').append($('<option></option>').val(r[0]).html(r[0]));
}

disCon();

/********** proceed data **********/
function commandMsg(msg) {  // is used by WebsocketClient.js
  inBuf = msg;
  if (inBuf.startsWith('|') && inBuf.endsWith('|')) {
    if (inBuf.startsWith('|stopsound')) {audio.pause(); return;}
    if (!inBuf.startsWith('|rs')) $('#respons').text(inBuf);
    inBuf = inBuf.slice(1, -1);
    values = inBuf.split('|');
    if (values[0] == 'OVERHEATED') play('danger');
    else if (values[0] == 'insert') play('insert');
    else if (values[0] == 'shake') play('shake');
    else if (values[0] == 'start') play('stage');
    else if (values[0] == 'next') play('stage');
    else if (values[0] == 'ready') play('ready');
    else if (values[0] == 'pause') ;
    else if (values[0] == 'get on') ;
    else  {
      values[1] = values[1].replace(/ /g , '&nbsp;')
      switch (values[0]) {
        case 'rs0':
          if (values[1] == '1') {
            $('#rs0').removeClass('heatOFF');
            $('#rs0').addClass('heatON');
          }
          else {
            $('#rs0').removeClass('heatON');
            $('#rs0').addClass('heatOFF');
          }
        	 $('#rs0').html(values[1]);break;
        case 'rs1': $('#rs1').html(values[1]); break;
        case 'rs2': $('#rs2').html(values[1]); break;
        case 'rs3': $('#rs3').html(values[1]); break;
        case 'rs4': $('#rs4').html(values[1]); break;
        case 'rs5': $('#rs5').html(values[1]); break;
      }
    }
  }
}

/********** dis/connect buttons **********/
$('#btnConnect').click(function() {   // connect to server 
  audio.pause();
  stopWS = false;
  clearFields();
  // 'isConnected = true' is set in file WebsocketClient.js
  if (!isConnected) {
    init();
  }
});

$('#btnDisConnect').click(function() {  // disconnect fom server 
  publish('|stop|'); 
  audio.pause();
  stopWS = true;
  clearFields();
  if (isConnected) {  // 'isConnected = false' is set in file WebsocketClient.js
    websocket.close();
    websocket = null; 
  }
});

/********** commands **********/
$('#recipes').change(function() {  // get and set recipe values
  var i = $('#recipes').prop('selectedIndex');
  var j, k, s;
  var r = recipes[i].split(',');
  for (j = 1; j <= 12; j++) {
    switch (j) {
      case 1: s = '#tmp'; k = 1; break;
      case 5: s = '#min'; k = 2; break;
      case 9: s = '#shk'; k = 2; break;
    }
    $(s + k++).val($.trim(r[j]));
  }
});

$('#btnStart').click(function() {  // START
  audio.pause();
  if (!isConnected) {
    $('#respons').text('NOT connected!!!');
    return;
  }
  clearFields();  
  var msg = '|start|';
  msg = msg.concat($('#tmp1').val(), '|', 
                   $('#tmp2').val(), '|', $('#min2').val(), '|', $('#shk2').val(), '|',
                   $('#tmp3').val(), '|', $('#min3').val(), '|', $('#shk3').val(), '|',
                   $('#tmp4').val(), '|', $('#min4').val(), '|', $('#shk4').val(), '|',
                   $('#min5').val(), '|', $('#shk5').val(), '|');
  publish(msg); 
});

$('#btnStop').click(function() {  // STOP 
  publish('|stop|'); 
});


/********** audio **********/
var audio = new Audio();
audio.loop = false;
 
function play(s) {
  audio.pause();
  switch (s) {
    case 'error':
    case 'danger':
    case 'ready':
      audio.loop = true;
      break;
    default:  // error, stop
      audio.loop = false;
  }
  audio.src = 'mp3/' + s + '.mp3';
  audio.play();
}

$('#btnSound').click(function() {
  stopWS = true;
  audio.pause();
});
  
/********** diverse **********/
function errorMsg(msg) {  // show Websocket error
  $('#respons').text(msg);
}

function disCon() {  // show connected or disconnected
  $('#connect').text(isConnected ? 'connected' : 'disconnected'); 
}

function clearFields() {  // clear old messages
  $('#respons').text('');
  $('#rs0').html('');
  $('#rs1').html('');
  $('#rs2').html('');
  $('#rs3').html('');
  $('#rs4').html('');
  $('#rs5').html('');
}
